Index: chan_sip.c
===================================================================
--- chan_sip.c	(revision 89036)
+++ chan_sip.c	(working copy)
@@ -17388,7 +17388,11 @@
 	return 0;
 }
 
-
+/* Session-Timers:   An INVITE originated by Asterisk that asks for session-timers support
+   from the UAS can result into a 422 response. This is how a UAS or an intermediary proxy 
+   server tells Asterisk that the session refresh interval offered by Asterisk is too low 
+   for them.  The proc_422_rsp() function handles a 422 response.  It extracts the Min-SE 
+   header that comes back in 422 and sends a new INVITE accordingly. */
 static void proc_422_rsp(struct sip_pvt *p, struct sip_request *rsp)
 {
 	int rtn;
